/*
 Theme Name:   Astra Child
 Theme URI:    https://wpastra.com/
 Description:  Astra Child Theme
 Author:       Lisa Schiffli
 Author URI:   
 Template:     astra
 Version:      1.0.0
 License:      GNU General Public License v2 or later
 License URI:  http://www.gnu.org/licenses/gpl-2.0.html
 Text Domain:  astra-child
*/

/* Remove extra spacing below paragraphs */
.elementor-text-editor p:last-child{ margin-bottom:0px;}

body {
	overscroll-behavior: contain;
	overflow-x: hidden;
}

/*Align header logo, title to center for wide screens, default space-around for tablets & mobile */
@media only screen and (min-width: 1025px) {
	.elementor-2583 .elementor-element.elementor-element-1465c53c.elementor-column > .elementor-column-wrap > .elementor-widget-wrap {
	/*#site-header-column > .elementor-column-wrap > .elementor-widget-wrap { */
    	justify-content: center;
	}
}

/* Make small size buttons xs for mobile devices - uses same settings as button.elementor-size-xs*/
@media only screen and (max-width: 767px) {
	.elementor-button.elementor-size-sm {
		font-size: 13px;
		padding: 10px 20px;
	}
}

/* Change buttons into links - useful for link to Popup which only applies to buttons */
.not-button.elementor-widget-button a.elementor-button {
    background-color: transparent;
}

.not-button span.elementor-button-text:hover {
    color: #4f071a;
}

/* Home page quote styling */
.hero-quotes {
/*     color: #3d7369; */
/*     border-color: #2d7369; */
	color: #7BB8BC;
	border-color: #7BB8BC;
    display: inline-block;
    font-size: 2em;
    line-height: 1;
    padding: 10px;
}

.push-right {
    float: right;
}
/* end  */

#concerts-list {
	color: #000000;
	font-family: Voces;
	border-collapse: collapse;
	border: none;
	border-style: hidden;
}

.horizontal-line {
	display: block;
    overflow: hidden;
    border-style: inset;
    border-width: 1px;
	width: 100%;
	margin-top: 5px;
	margin-bottom: 5px;
}

#concerts-list > tbody > tr > td{
	border: none;
	border-style: hidden;
	border-width: 0 0 0 0;
}

.cpt-concert-uppercase {
	text-transform: uppercase;
}

.cpt-concert-bold {
	font-weight: bold;
}

.details-cell {
	text-align: right;
}

.details-button {
	box-shadow: 6px 6px 10px 0px rgba(0,0,0,0.5);
	padding: 0px 0px;   /* lks added to fix gray btn backgnd problem Feb 2020 */
}

.details-button>a:hover {
	background-color: #4f071a;
	color: #ffffff;
}

.details-link {
	background-color: #8c3035;
	color: #ffffff;
	font-size: 15px;
	padding: 12px 24px;
	-webkit-border-radius: 3px;
	border-radius: 4px;
	display: inline-block;
	line-height: 1;
	text-align: center;
	-webkit-transition: all .5s;
	-o-transition: all .5s;
	transition: all .5s;
}

@media only screen and (max-width: 767px) {
	.details-link {
		font-size: 13px;
		padding: 12px 8px;
	}
}

.concert-festival-title {
	font-size: 2.0em;
	font-weight: 400;
	margin-top: 15px;
	margin-bottom: 15px;
}

.concert-venue-name {
	font-size: 2.5em;
	font-weight: 600;
}

.concert-detail-block-narrow-margin {
	margin-bottom: 0px;
}

.concert-detail-block-wide-margin {
	margin-bottom: 15px;
}

.track-copyright {
	font-size: .75em;
}

.track-credits>p {
	margin-bottom: 0px;
}

.album-notes p {
	margin-bottom: .5em;
}

.album-credits p {
	margin-bottom: .5em;
}

.buy-music-links p {
	margin-bottom: 1em;
}  

/* removes extra space at bottom of album notes block */
.album-notes.elementor-widget {
	margin-bottom: 0px;
}

/* removes extra space at bottom of album credits block */
.album-credits.elementor-widget {
	margin-bottom: 0px;
}

/*Used for CPT Albums - Album Credits field formatting */
.rs-row {
	display: flex;
}

.rs-column {
	flex: 50%;
}

.rs-track-credits {
	margin-top: 15px;
}

@media only screen and (max-width: 1023px) {
	.rs-row {
		flex-wrap: wrap;
	}
	.rs-column {
		flex: 100%;
	}
}

#privacy-policy h3 {
	margin-bottom: 20px;
}

/*Use for Pods CPT Concerts - Venue Photo template  */
#venue-photo.elementor-image>img {
	max-width: 100%;
	box-shadow: 0px 0px 10px 3px rgba(0,0,0,0.5);
}

#venue-photo.elementor-image {
	display: block;
	height: auto;
	max-width: 100%;
	text-align: right;
}

/*Password protected page styling */
.ast-page-builder-template .site-content>.ast-container {
	min-height: 50vh;
}

.protected-post-form {
	text-align: center;
	margin-top: 10vh;
}

.protected-post-form input.button {
	margin-left: 1em;
	padding: .5em 1em;
}

.password-page-title {
	font-size: 2em;
	font-family: "Playfair Display", sans-serif;
}

/* Easy Digital Downloads style overrides - lks 4/21 */
.edd-table {
	background: #e2e2e2;
}

.edd_form legend {
	background-color: transparent;
}

.edd_profile_editor_form {
	background: #e2e2e2;
}

.edd-table tr {
	background: #e2e2e2;
}

input[type=email], input[type=number], input[type=password], input[type=reset], input[type=search], input[type=tel], input[type=text], input[type=url], select, textarea {
	background: #e2e2e2;
}

input[type=email]:focus, input[type=number]:focus, input[type=password]:focus, input[type=reset]:focus, input[type=search]:focus, input[type=tel]:focus, input[type=text]:focus, input[type=url]:focus, select:focus, textarea:focus {
	background-color: #fafafa;
}

input[type=email]:focus, input[type=number]:focus, input[type=password]:focus, input[type=reset]:focus, input[type=search]:focus, input[type=tel]:focus, input[type=text]:focus, input[type=url]:focus, select:focus, textarea:focus {
	background: #fafafa;
}

.logged-in #login-button {
	visibility: hidden;
	display: none;
}